Package org.springframework.security.acls.model

# Interface SidRetrievalStrategy

All Known Implementing Classes:
  `SidRetrievalStrategyImpl`

public interface SidRetrievalStrategy
Strategy interface that provides an ability to determine the `Sid` instances applicable for an `Authentication`.

## Method Summary

Modifier and Type
Method
Description
`List<Sid>`
`getSids(org.springframework.security.core.Authentication authentication)`

## Method Details

### getSids

List<Sid> getSids(org.springframework.security.core.Authentication authentication)